#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
usage(){
cat <<EOF
usage: ./install_APAR.sh <IOCTP_PASSWD> 

<IOCTP_PASSWD>-The topology password of IBM Intelligent Operation Center
<PRODUCT>-tih tp or all - note that tih must be installed first
EOF
}
pass=$1


JAVA_WHICH=`which java`
JAVA_HOME=$(echo ${JAVA_WHICH%/*/*})

if [ -z "$1" ]
  then
    echo "Password cannot be an empty string. Please enter a valid password."
   exit 1;
fi

updatedb
tih_topology=`locate tih_std.xml | grep "tools/svc/topology"`
TOPOLOGY=$(echo ${tih_topology%/*})
SVC=$(echo ${tih_topology%/*/*})
echo "SVC = $SVC"
echo "###############################################################################"
echo "# Start install tih_std_APAR of the TIH and-or TP product."
echo "###############################################################################" 
echo "Import solution and install topology."

sh $SVC/bin/ba.sh importSolution -f iit_tih_vap_sif_APAR_PO05386.zip -p $pass
sh $SVC/bin/ba.sh installTopology -t tih_vap_std_APAR_PO05386 -p $pass

exit 0;


